* {
  margin: 0;
}

header,
footer {
  /*height: 15vh;*/
  min-height: 15vh;

  display: flex;
  justify-content: center;
  align-items: center;

  background-color: #ff9100; /* #ff7e5f;*/

  color: white;

  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
}

footer {
  background: green;
  text-shadow: 3px 3px 3px black;
}

#typedText {
  font-family: "Courier New", monospace;
  font-weight: bold;
  text-shadow: 2px 2px 2px grey;
}

body {
  background: linear-gradient(to bottom, #ff7e5f, yellow, green);
}

main {
  display: flex;
  align-items: center;
  flex-direction: column;
  justify-content: space-around;

  padding: 20px;

  min-height: 70vh; /* vh = viewport height */
}

.mi_foto {
  border-radius: 20%;
  width: 150px; /* Ajusta el tamaño según lo necesites */
  height: 100px; /* Ajusta el tamaño según lo necesites */

  box-shadow: 6px 6px 6px;

  border: 2px solid yellow;
}

.mi_foto:hover {
  border: 2px solid orange;
}

form {
  background-color: brown;
  border: 2px solid white;
  box-shadow: 5px 5px 5px;
  padding: 20px;
  border-radius: 5%;
}

label {
  width: 90px;
}

main h2 {
  text-shadow: 2px 2px 2px white;
}

main h3 {
    text-shadow: 2px 2px 2px grey;
}

input,
textarea {
  width: 150px;
}

input:focus,
textarea:focus {
  background-color: lightgrey;
}

form {
  text-align: right;
}

form div {
  margin-bottom: 10px;

  color: yellow;
}

form button {
  font-weight: bold;
  padding: 5px;
  background-color: blue;
  color: white;

  margin-left: auto;
}

.titulo {
  display: grid;
  grid-template-columns: auto 1fr;
  align-items: center; /* alinear verticalmente al centro */
  gap: 10px; /* espacio entre imagen y título */
  font-family: Arial, sans-serif;

  margin-bottom: 20px;
}

@media (max-width: 600px) {
  .titulo {
    grid-template-columns: 1fr;
    text-align: center;
  }

  .titulo img {
    margin: 0 auto;
  }
}

.navbar {
  z-index: 1050; /* Bootstrap usa z-index entre 1000 y 1100 para elementos superpuestos */
  box-shadow: 4px 4px 8px rgba(0, 0, 0, 0.632);

  border-radius: 10px; /* Redondea los bordes de la barra de navegación */
  overflow: hidden; /* Evita que los elementos internos sobresalgan de los bordes redondeados */
}
